Name:           fonttools
Version:        3.29.0
Release:        5
Summary:        Tools to manipulate font files
License:        MIT
URL:            https://github.com/fonttools/fonttools/
Source0:        %{url}/releases/download/%{version}/fonttools-%{version}.zip
Patch01:	replace-fromtring-with-frombytes.patch
Patch02:	replace-totring-with-tobytes.patch
Requires:       python3-fonttools
BuildArch:      noarch
Provides:       ttx = %{version}-%{release}

%description
FontTools is a library for manipulating fonts, written in Python. The project
includes the TTX tool, that can convert TrueType and OpenType fonts to and
from an XML text format, which is also called TTX. It supports TrueType,
OpenType, AFM and to an extent Type 1 and some Mac-specific formats. The
project has an MIT open-source licence.

%package -n python3-fonttools
Summary:        Python 3 fonttools library
BuildRequires:  python3-devel python3-numpy python3-setuptools_scm
BuildArch:      noarch
Requires:       python3-numpy
%{?python_provide:%python_provide python3-fonttools}

%description -n python3-fonttools
FontTools is a library for manipulating fonts, written in Python. The project
includes the TTX tool, that can convert TrueType and OpenType fonts to and
from an XML text format, which is also called TTX. It supports TrueType,
OpenType, AFM and to an extent Type 1 and some Mac-specific formats. The
project has an MIT open-source licence.

%package        help
Summary:        Help document for the fonttools

%description    help
Help document for the fonttools.

%prep
%autosetup -p1
sed -i 1d Lib/fontTools/mtiLib/__init__.py
rm -rf *.egg-info

%build
%py3_build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

%files
%{_bindir}/pyf*
%{_bindir}/ttx
%{_bindir}/fonttools

%files help
%doc NEWS.rst README.rst
%{_mandir}/man1/ttx.1.gz

%files -n python3-fonttools
%doc LICENSE
%{python3_sitelib}/fontTools
%{python3_sitelib}/fonttools-%{version}-py3.?.egg-info

%changelog
* Tue Jan 11 2022 houyingchao <houyingchao@huawei.com> - 3.29.0-5
- Replace totring with tobytes

* Fri Jan 07 2022 houyingchao <houyingchao@huawei.com> - 3.29.0-4
- Replace fromtring with frombytes

* Thu Oct 22 2020 huanghaitao <huannghaitao8@huawei.com> - 3.29.0-3
- Disable python2 module

* Thu Nov 28 2019 likexin<likexin4@huawei.com> - 3.29.0-2
- Package init
